Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/25036/?format=api
{ "ob_id": 25036, "uuid": "131174cdad804dd1a51e79d7dbd1d2b0", "title": "ACID-PRUF: Measurements of freezing fraction of water solution droplets solute and suspended matter during the immersion freezing of pollen extracts", "abstract": "ACID-PRUF was a three year NERC directed programme that investigated the complex interaction of aerosols and clouds. The overall aims of ACID-PRUF were to reduce the uncertainty in the radiative forcing associated with the aerosol indirect effects though a targeted laboratory and modelling programme. \r\n\r\nThis dataset collection contains measurements of freezing fraction of water solution droplets-solute and suspended matter during the immersion freezing of pollen extracts (birch pollen, Betula fontinalis occidentalis, Sigma-Aldrich, P6895-1G), with a new cold electrodynamic balance (CEDB).", "keywords": "ACID-PRUF, pollen, aerosols, clouds", "publicationState": "published", "dataPublishedTime": "2017-09-06T12:45:33", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/25037/?format=api", "dataPath": "/badc/deposited2017/acid-pruf/data", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 4815, "numberOfFiles": 2, "fileFormat": "Data are BADC-CSV formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/6768/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/1865/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/56314/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/56315/?format=api" ], "dataLineage": "These data were delivered to Centre for Environmental Data Analysis (CEDA) for archiving.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/11986/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/25033/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/102530/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/102532/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/102533/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/102522/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/102526/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/102527/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/102528/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/102529/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/102531/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/102523/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/102524/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/102525/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/25035/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2522/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }